<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<link type="image/png" href="assets/logo.png" rel="icon">
	<title>ReadySet Markdown</title>
</head>
<script src="https://www.w3schools.com/lib/w3data.js"></script>
<body>

<topbar style="display:none;">
	<item><a href="index.html">Overview</a></item>
	<item><a href="plan.html">Project Plan</a></item>
	<item><a href="index-all.html">Workflows</a></item>
	<menu name="Themes"><item><a id="settheme"><b>Current</b></a></item></menu>
	<toc></toc>
</topbar>

<xmp theme="readable" style="display:none;">
<!-- Markdown content here -->

# Glossary
---

**Process impact:** This file as a dictionary of terms defined as they
are used during the project. Writing out the definitions of terms and
acronyms here helps keep other documents more concise and precise. A
shared glossary helps prevent misunderstandings and makes it easier for
new team members to be productive.

Jump to: [A](#a) | [B](#b) | [C](#c) | [D](#d) | [E](#e) | [F](#f) |
[G](#g) | [H](#g) | [I](#i) | [J](#j) | [K](#k) | [L](#l) | [M](#m) |
[N](#n) | [O](#o) | [P](#p) | [Q](#q) | [R](#r) | [S](#s) | [T](#t) |
[U](#u) | [V](#v) | [W](#w) | [X](#x) | [Y](#y) | [Z](#z) | 
[Standard terms](Glossary-Std#standard_terms)

### Project-specific Terms

*TIPs:*

- *Define HTML anchors on your terms with id="TERMNAME" so that other
  documents can link to the definition of specific terms.*
- *If there is any question about the meaning of a term, note it here.
  If someone (e.g., the customer) gave you a definition to use, note
  that here too. If something is best defined by using a hyperlink to
  another document or website, include a hyperlink in the definition.*
- *If a term was used in the past, but is no longer going to be used,
  you should keep it in the list, mark it as "deprecated", and link to
  the term or terms that replace it. E.g., deprecated standard term
  [bug](Glossary-Std#bug).*
- *Define only project-specific terms, or ones that a new team member
  would not know. Don't define standard textbook terms that can be
  easily found elsewhere.*
- *This glossary can serve as simple domain model or data dictionary.
  You can define important data objects by describing their meaning
  and key attributes. For example, see [student](#student) and
  [GPA](#gpa).*

#### A


#### B


#### C

##### ::Class standing

- ::Computed attribute of [student](#student) based on number of
  academic units completed. Used to determine priority in
  course enrollment.
- ::Real-world meaning of values:

|             |                                 |
|-------------|---------------------------------|
| ::Freshman  | ::Less than 90 units            |
| ::Sophomore | ::Between 90 and 180 units      |
| ::Junior    | ::Between 180 and 270 units     |
| ::Senior    | ::More than 270 units completed |

#### D


#### G

##### ::GEF
::*n.* The [Graph Editing Framework](http://gef.tigris.org/). An open
source library for editing diagrams (boxes and arrows).

##### ::GPA
::*n.* Grade Point Average. GPA is a float between 0.00 and 4.00,
accurate to 2 decimal places. Computed from average of completed
course grades in transcript weighted by course units. Used to
determine student ranking, and to trigger Dean's List and
academic probation.

#### I

##### ::ICS
::*n.* Acronym for the [School of Information and Computer
Science](http://www.ics.uci.edu/) at [UC Irvine](http://www.uci.edu/).

#### S

##### ::Student
::*n.* A person who attends a school to earn a degree. Persistent
attributes include: student\_id\_number (primary key), GPA, major,
and years\_at\_school.

##### ::Senior
::*n.* A senior is special type of [undergraduate](#undergraduate) who
has a certain number of course credits on his or her transcript.
Years\_at\_school does not determine senior standing. TODO: how many
credits needed?

#### T

##### ::Term1
::Definition1

##### ::Term2
- ::Definition2a
- ::Definition2b

##### ::Term3
::Definition3

#### U

##### ::Undergraduate
::A type of [student](#student). *TODO: add more detail.*

</xmp>

<div w3-include-html="_words-of-wisdom.html"></div>
<div w3-include-html="_footer.html"></div>

<script>
	w3IncludeHTML();
</script>

<script src="http://strapdownjs.com/v/0.2/strapdown.js"></script>
<!-- Include it AFTER strapdown -->
<script src="assets/strapdown/strapdown-topbar.min.js"></script>
<!-- Include it AFTER EVERYTHING -->
<script src="assets/logo.js"></script>
<script src="assets/themeswitcher.js"></script>

</body>
</html>
